View Bug Details

IDProjectCategoryView StatusLast Update
0002670DCP-o-maticBugspublic2024-01-12 11:07
Reportercarl Assigned Tocarl  
PriorityhighSeveritymajorReproducibilityhave not tried
Status resolvedResolutionfixed 
Target Version2.16.x 
Summary0002670: Subs from blu-ray are the wrong height
Description

e.g. a line is 54 pixels high in VLC but only 41 pixels high in the DCP. Not burnt in.

Tagsemail, git-bug
Branch2670-subs
Estimated weeks required
Estimated work requiredUndecided

Activities

carl

2023-11-30 23:55

administrator   ~0006115

2670.svg.gz (258,250 bytes)

carl

2023-11-30 23:56

administrator   ~0006116

1920x1080 file that is cropped by 128 top and 128 bottom then fitted to DCI scope. Subtitles only go wrong when the crop is applied (see attached svg).

carl

2023-12-01 00:22

administrator   ~0006117

I think this is because we take a subtitle at some (w, h) from a 1920x1080 container so that the intermediate size is w/1920, h/1080.

Then scale these up by the container size so they end up w2048/1920 h858/1080 i.e. 1.067 times wider and 0.794 times taller i.e. same width and 0.744 of height.

Reporter said 54 becomes 41 i.e. 0.759 so that pretty much fits.

carl

2023-12-01 00:24

administrator   ~0006118

The picture hasn't changed aspect but the subtitles did. We need to scale subs the same as the image.

carl

2023-12-01 20:54

administrator   ~0006121

Sent build over email.

carl

2024-01-03 17:16

administrator   ~0006187

Apparently still broken; need to download stuff from FTP site sent by email.

carl

2024-01-09 13:07

administrator   ~0006214

Got SotD - need to run this and see if I can reproduce.

carl

2024-01-09 14:04

administrator   ~0006215

Last edited: 2024-01-09 14:08

Obviously a problem with the preview and SotD after cropping and fitting to a scope frame (on main - need to check the branch).

carl

2024-01-09 16:52

administrator   ~0006216

SotD looks on on the branch - asked OP to check

carl

2024-01-11 09:52

administrator   ~0006230

OP confirms it's fixed.

carl

2024-01-12 11:07

administrator   ~0006242

6ac468554c7fea0dfaefde85fb6cdd0fceaf5cad

Bug History

Date Modified Username Field Change
2023-11-27 22:07 carl New Bug
2023-11-27 22:07 carl Assigned To => carl
2023-11-27 22:07 carl Status new => acknowledged
2023-11-27 23:12 carl Target Version => 2.16.70
2023-11-27 23:12 carl Estimated work required => Undecided
2023-11-27 23:12 carl Tag Attached: git-bug
2023-11-27 23:35 carl Tag Attached: email
2023-11-30 23:55 carl Note Added: 0006115
2023-11-30 23:55 carl File Added: 2670.svg.gz
2023-11-30 23:56 carl Status acknowledged => confirmed
2023-11-30 23:56 carl Note Added: 0006116
2023-12-01 00:22 carl Note Added: 0006117
2023-12-01 00:24 carl Note Added: 0006118
2023-12-01 20:25 carl Branch => 2670-subs
2023-12-01 20:54 carl Status confirmed => feedback
2023-12-01 20:54 carl Note Added: 0006121
2023-12-02 19:58 carl Target Version 2.16.70 => 2.16.71
2023-12-31 19:37 carl Target Version 2.16.71 => 2.16.x
2024-01-03 17:16 carl Status feedback => acknowledged
2024-01-03 17:16 carl Note Added: 0006187
2024-01-03 17:16 carl Status acknowledged => confirmed
2024-01-09 13:07 carl Note Added: 0006214
2024-01-09 14:04 carl Note Added: 0006215
2024-01-09 14:08 carl Note Edited: 0006215
2024-01-09 16:52 carl Status confirmed => feedback
2024-01-09 16:52 carl Note Added: 0006216
2024-01-11 09:52 carl Status feedback => tests running
2024-01-11 09:52 carl Note Added: 0006230
2024-01-12 11:07 carl Status tests running => resolved
2024-01-12 11:07 carl Resolution open => fixed
2024-01-12 11:07 carl Note Added: 0006242